from cliff.command import Command
import dcc.config
import vlc

class PB(Command):
	def get_parser(self, prog_name):
		parser = super().get_parser(prog_name)
		parser.add_argument('wad')
		parser.add_argument('map')
		return parser

	def take_action(self, parsed_args):
		v = dcc.config.VideoPath(parsed_args.wad, parsed_args.map)
		mp = vlc.MediaPlayer(v)
		mp.play()
		while True:
			pass
